# Uses of Class
jdk.jshell.JShell.Subscription

Packages that use JShell.Subscription
Package
Description
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.

- ## Uses of JShell.Subscription in jdk.jshell

  Methods in jdk.jshell that return JShell.Subscription
  Modifier and Type
  Method
  Description
  `JShell.Subscription`
  JShell.`onShutdown(Consumer<JShell> listener)`
  Register a callback to be called when this JShell instance terminates.
  `JShell.Subscription`
  JShell.`onSnippetEvent(Consumer<SnippetEvent> listener)`
  Register a callback to be called when the Status of a snippet changes.
  Methods in jdk.jshell with parameters of type JShell.Subscription
  Modifier and Type
  Method
  Description
  `void`
  JShell.`unsubscribe(JShell.Subscription token)`
  Cancel a callback subscription.